Bug 1444516 - Embedded tower event catcher collect not working
Summary: Embedded tower event catcher collect not working
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.8.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.8.0
Assignee: Marcel Hild
QA Contact: luke couzens
URL:
Whiteboard: ansible_embed
Depends On: 1438723
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-04-21 13:48 UTC by Satoe Imaishi
Modified: 2017-05-31 14:57 UTC (History)
7 users (show)

Fixed In Version: 5.8.0.12
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1438723
Environment:
Last Closed: 2017-05-31 14:57:44 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1367 normal SHIPPED_LIVE Moderate: CFME 5.8.0 security, bug, and enhancement update 2017-05-31 18:16:03 UTC

Comment 2 CFME Bot 2017-04-24 13:56:27 UTC
New commit detected on ManageIQ/manageiq/fine:
https://github.com/ManageIQ/manageiq/commit/4d176bbe03790bab1b47c69c549b13fbc286f904

commit 4d176bbe03790bab1b47c69c549b13fbc286f904
Author:     Greg Blomquist <blomquisg@gmail.com>
AuthorDate: Thu Apr 6 10:24:29 2017 -0400
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Mon Apr 24 09:52:53 2017 -0400

    Merge pull request #14645 from durandom/ansible_event_catcher
    
    ansible event catcher: fetch activity_stream by event id
    (cherry picked from commit 1589a3c2657d76b74e62c539d1bc023a3463c969)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1444516

 .../automation_manager/event_catcher/stream.rb     |  27 ++-
 .../automation_manager/event_catcher/stream.rb     |  64 +------
 .../automation_manager/event_catcher/stream.yml    | 184 ++++++++++++++++-----
 3 files changed, 169 insertions(+), 106 deletions(-)

Comment 3 luke couzens 2017-04-26 10:10:39 UTC
Verified in 5.8.0.12

Both EventStream.group(:source).count and EventStream.where("source" => 'EMBEDDEDANSIBLE').count are now incrementing after running playbooks.

Comment 4 Marcel Hild 2017-04-26 12:49:21 UTC
Hooray... this has been a long way coming. Thanks

Comment 6 errata-xmlrpc 2017-05-31 14:57:44 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1367


Note You need to log in before you can comment on or make changes to this bug.